#import <Cocoa/Cocoa.h>
#import "QCGLCIImage.h"

@interface ImageDownloaderBlockingCacheContainer : NSObject
{
	QCGLCIImage *_image;
	
	// number of cached retrievals of this image
	unsigned int _hits;
}
- (id)initWithImage:(QCGLCIImage *)image;
- (QCGLCIImage *)image;
- (unsigned long int)estimatedSize;
- (unsigned int)hits;
@end
