#import "QCPatch.h"
#import "QCStringPort.h"
#import "QCGLImagePort.h"


@interface ImageDownloaderBlockingPatch : QCPatch
{
    QCStringPort *inputURL;

	QCGLImagePort *outputImage;


	NSString *_currentURL;
	bool firstExecuteAfterEnabled;
}

+ (int)executionMode;
+ (BOOL)allowsSubpatches;
+ (int)timeMode;

- (id)initWithIdentifier:(id)fp8;

- (id)setup:(id)fp8;
- (void)cleanup:(id)fp8;

- (void)enable:(id)fp8;
- (void)disable:(id)fp8;

- (BOOL)execute:(id)fp8 time:(double)fp12 arguments:(id)fp20;
@end